it-swarm-es.com

¿Cómo instalar el mono reciente en una distraida de Linux que no sea SUSE (I.S. Debian / Ubuntu)?

¿Cómo se hace frente a la instalación de una versión reciente de MONO en una distraida de Linux que no sea la Susse de Novell?

http://www.mono-project.com/main_page promete una descarga de "Linux", pero "solo" ofrecen descargas para SUSE y enlaces a versiones desactualizadas de MONO (<Versión 2).

Tengo un compilador y no tengo miedo de usarlo ... pero se sentiría mucho mejor si alguien pudiera apuntarme a un " HowTo Instalar Mono en Debian/Ubuntu "Descripción o muéstrame dónde descargar un .deb de una versión reciente.

9
lexu

Tiempo resolvió mi problema para mí ... Mono está ahora en Ubuntu

Ubuntu 9.10 tiene paquetes instalables para MONO, incluidas algunas herramientas de integración que realizan ensamblajes (Thingy.exe) utilizables de la CLI


Gracias a todos los que se metieron con respuestas y sugerencias.

3
lexu

De http://www.mo-project.com/other_downloads :

Mono está disponible en el estreno estable de Debian y en versiones posteriores. Para desarrollar software con Mono, instale el mono-devel Paquete en Etch (4.0) usando aptitude o un administrador de paquete similar.

Por lo que sólo apt-get install mono-devel, ¿quizás?

Actualización: La versión de Mono que obtendrá de Ubuntu 8.04 es 1.2.6 , mientras que probablemente esté buscando por 2.0.1, que viene con 9.04 . Probablemente su mejor apuesta es actualizar a Jaunty. Hay una posibilidad de descargar el Jaunty .deb e instalarlo en su máquina funcionará, pero no apostaría en ello.

5
Sophie Alpert

Siga las instrucciones aquí para configurar backports y acceder al repositorio de Debian.

luego

aptitude -t etch-backports install mono-2.0-devel
1
John T

Yo mismo no he logrado obtener el último Mono instalado de los paquetes todavía, pero tengo un buen tutorial para construir el último Mono desde la fuente en Ubuntu: Instale Mono 2.4 de la fuente en Ubunt

0
rusvdw

Fedora 11 está programado para ser lanzado 6/9/09 e incluirá MONO 2.4. Intentar

yum search mono

para ver qué paquetes están disponibles después de la instalación.

0
dkaylor

mono 2.4.2.3 está en Debian SID (inestable DIST) en este momento, y Mono 2.4 está en Debian Squeeze (Pruebas).

puede agregar líneas a sus fuentes. Lista de las pruebas o la distribución inestable (o ambas), y configure las reglas de prioridad de Apt para usar solo estable a menos que solicite explícitamente un paquete de pruebas o inestables (por ejemplo, "APT-GET -T inestable install MONO-2.0-DEVEL "- Esto instalará MONO-2.0-DEVEL de Inestable junto con todas las dependencias versas

si bien es posible, de hecho, bastante fácil, tener un sistema en su mayoría "estable" con solo un puñado de paquetes de pruebas o inestables, IMO si desea mantenerse al día con el borde de sangrado de software, entonces está mejor simplemente Actualización a Debian inestable que adherirse con estable y meterse en el hábito de ejecutar 'apt-get dist-actualización' semi-regularmente. será menos molesto y que haya menos incompatibilidades extrañas y otras rarezas (esa ha sido mi experiencia usando Debian durante los últimos 15 años, de todos modos)

lo mismo se aplica a Ubuntu, aunque con los lanzamientos de Ubuntu 6 mensuales, no necesita esperar tanto tiempo para actualizar a la próxima versión compatible como lo hace en Debian.

0
cas